Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.client.data
Class DataViewProcessDetailService

    java.lang.Object
      com.tibco.bpm.web.client.services.client.data.AbstractDataClientService
          com.tibco.bpm.web.client.services.client.data.DataViewProcessDetailService

    public class DataViewProcessDetailService

extends AbstractDataClientService

Field Summary

Fields inherited from class com.tibco.bpm.web.client.services.client.data.AbstractDataClientService
`BASE_URL, XMLFRAGMENT`

Constructor Summary
`DataViewProcessDetailService()`

Method Summary
`static DataViewProcessDetailService` | `getInstance()`
`void` | `queryDone(int pagingId, com.google.gwt.user.client.rpc.AsyncCallback<java.lang.String> callback)`
`void` | `queryFirst(int pagingID, com.google.gwt.user.client.rpc.AsyncCallback<QueryInstanceResponse> callback)`
`void` | `queryInstance(java.lang.String globalDataRef, int from, int howMany, com.google.gwt.user.client.rpc.AsyncCallback<QueryInstanceResponse> callback)`
`void` | `queryLast(int pagingID, com.google.gwt.user.client.rpc.AsyncCallback<QueryInstanceResponse> callback)`
`void` | `queryNext(int pagingID, com.google.gwt.user.client.rpc.AsyncCallback<QueryInstanceResponse> callback)`
`void` | `queryPrevious(int pagingID, com.google.gwt.user.client.rpc.AsyncCallback<QueryInstanceResponse> callback)`

Methods inherited from class com.tibco.bpm.web.client.services.client.data.AbstractDataClientService
`cleanseResponse, getHeaders, getServiceURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataViewProcessDetailService

    public DataViewProcessDetailService()

Method Detail

### getInstance

    public static DataViewProcessDetailService getInstance()

### queryDone

    public void queryDone(int pagingId,
                          com.google.gwt.user.client.rpc.AsyncCallback<java.lang.String> callback)

### queryFirst

    public void queryFirst(int pagingID,
                           com.google.gwt.user.client.rpc.AsyncCallback<QueryInstanceResponse> callback)

### queryPrevious

    public void queryPrevious(int pagingID,
                              com.google.gwt.user.client.rpc.AsyncCallback<QueryInstanceResponse> callback)

### queryNext

    public void queryNext(int pagingID,
                          com.google.gwt.user.client.rpc.AsyncCallback<QueryInstanceResponse> callback)

### queryLast

    public void queryLast(int pagingID,
                          com.google.gwt.user.client.rpc.AsyncCallback<QueryInstanceResponse> callback)

### queryInstance

    public void queryInstance(java.lang.String globalDataRef,
                              int from,
                              int howMany,
                              com.google.gwt.user.client.rpc.AsyncCallback<QueryInstanceResponse> callback)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.